読者です 読者をやめる 読者になる 読者になる

nishio-dens's diary

Railsとかプログラミング関連の備忘録

Java com.sun.net.httpserver.HttpServer がecpliseにて使えない問題

Eclipseにて HttpServerを使おうとした時に

アクセス制限: 型HttpServer必須ライブラリ 〜〜 で制限されているためアクセスできません.

とのエラーが発生.JDKも1.6だしなぜ利用できないのかは不明.
とりあえず,eclipseの .classpath







から







にしたらうまくコンパイルできるようになった.